Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 128312 - problems with inline CSS code completion at the end of embedded block
problems with inline CSS code completion at the end of embedded block
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: CSS Visual Tools
6.x
Sun All
: P2 (vote)
: 6.x
Assigned To: Marek Fukala
Jindrich Sedek
61fixes1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 14:08 UTC by Jindrich Sedek
Modified: 2008-06-04 08:40 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jindrich Sedek 2008-02-25 14:08:29 UTC
Here are some cases where cc fails and it seems to be one problem of the end of inline CSS embedded block, because all 
scenarios works if you add space behind the cursor possition

1) use this code in HTML document:
----------------------
<h1 style="|"></h1>
----------------------
invoke cc at possition of "|" -> no suggestion
start typing bo ... -> no suggestion still appears ( closing and reloading cc helps to get data )

2) use the same code as given above -> type "bo" and press Ctrl+Space to invoke cc inmediatelly -> no suggestion

3) use this code:
---------------------
<h1 style="border|"></h1>
---------------------
invoke cc at possition of "|" type "-" and use backSpace to remove it -> no suggestion
Comment 1 Marek Fukala 2008-02-25 16:35:01 UTC
Please do not create such "multiissues" - can you separate the #3 into a new issue? it is unrelated to the #1 and #2
problem. Furthermore the #1 is already filed somewhere (I cannot find it) - it didn't work for 6.0 either. The #2 is
valid problem. Please fix this issue, thanks.
Comment 2 Marek Fukala 2008-02-25 17:14:53 UTC
As for the problem #1 - the issue number is #114348 
Comment 3 Jiri Prox 2008-04-11 01:09:26 UTC
moving opened issues from TM <= 6.1 to TM=Dev
Comment 4 Marek Fukala 2008-04-14 15:12:22 UTC
fixed in release61-php clone in revision caacff71b4da
fixed in main repository in revision 45d1fe450533

The issue breaks one of the most important usecases - user just starts to type a text and then invokes completion =>
increasing priority to P2
Comment 5 Jindrich Sedek 2008-04-22 16:37:23 UTC
#2, #3 verified
#1 still valid as issue 114348
Comment 6 pslechta 2008-04-28 15:07:29 UTC
The fix has been ported into the release61_fixes branch.

http://hg.netbeans.org/release61_fixes/rev/956273c1b939


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo